> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Criação rápida

> O endpoint de criação rápida de projetos permite criar um novo projeto com apenas as informações essenciais, que no endpoint de criação comum, são obrigatórias. Este método é ideal para criação rápida de projetos quando você não precisa configurar todos os detalhes imediatamente.



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/projects/quick-store
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/projects/quick-store:
    post:
      tags:
        - projects
      summary: Criação rápida
      description: >-
        O endpoint de criação rápida de projetos permite criar um novo projeto
        com apenas as informações essenciais, que no endpoint de criação comum,
        são obrigatórias. Este método é ideal para criação rápida de projetos
        quando você não precisa configurar todos os detalhes imediatamente.
      requestBody:
        content:
          application/json:
            schema:
              title: Create Project Payload
              type: object
              properties:
                name:
                  type: string
                  example: Nome do projeto
                  description: Nome do projeto
                funnel_step_id:
                  type: integer
                  example: 207
                  description: ID da etapa do funil
                prefix:
                  type: string
                  example: PREFIX
                  description: Prefixo do projeto
                customer_id:
                  type: string
                  example: 019c75de-7e5d-726a-8667-a13179dfad68
                  description: ID do cliente
                  format: uuid
                contact_id:
                  type: integer
                  example: 123
                  description: ID do contato
                from_project_template_id:
                  type: string
                  example: 019d2617-fa10-73da-91c3-4f096e703eb4
                  description: ID do template de projeto
                  format: uuid
              required:
                - name
            example:
              name: Nome do projeto
              funnel_step_id: 207
              prefix: PREFIX
              customer_id: 019c75de-7e5d-726a-8667-a13179dfad68
              contact_id: 123
              from_project_template_id: 019d2617-fa10-73da-91c3-4f096e703eb4
      responses:
        '200':
          description: Sucesso
          headers:
            Date:
              schema:
                type: string
              example: Fri, 12 Dec 2025 19:29:36 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Cache-Control:
              schema:
                type: string
              example: private, must-revalidate
            pragma:
              schema:
                type: string
              example: no-cache
            expires:
              schema:
                type: integer
              example: -1
            X-RateLimit-Limit:
              schema:
                type: integer
              example: 160
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: 159
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  project:
                    type: object
                    properties:
                      code:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      impact:
                        type: integer
                      frame_id:
                        type: string
                      customer_id:
                        type: string
                      contact_id:
                        type: integer
                      status:
                        type: integer
                      budget:
                        type: integer
                      is_template:
                        type: boolean
                      created_by:
                        type: string
                      id:
                        type: string
                      updated_at:
                        type: string
                        format: date-time
                      created_at:
                        type: string
                        format: date-time
                      medias:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: integer
                            text:
                              type: string
                            log:
                              type: string
                            frame_id:
                              type: string
                            project_id:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                      funnels:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            prefix:
                              type: string
                            order:
                              type: integer
                            condition:
                              type: string
                            allow_multi_step:
                              type: boolean
                            show_cost_info:
                              type: boolean
                            business_area_id:
                              type: integer
                            form_id:
                              type: integer
                            frame_id:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            allow_execution:
                              type: boolean
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                project_funnel_id:
                                  type: integer
                                id:
                                  type: integer
                                created_at:
                                  type: string
                                  format: date-time
                                forecast_date_update_count:
                                  type: integer
                      funnel_steps:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            project_funnel_id:
                              type: integer
                            sensation_amount:
                              type: integer
                            order:
                              type: integer
                            allow_execution:
                              type: boolean
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            pivot:
                              type: object
                              properties:
                                project_id:
                                  type: string
                                funnel_step_id:
                                  type: integer
                                id:
                                  type: integer
                                order:
                                  type: integer
                                created_at:
                                  type: string
                                  format: date-time
                      tags:
                        type: array
                        items: {}
                      checklists:
                        type: array
                        items: {}
              example:
                response: true
                project:
                  frame_id: 019c75de-532c-7047-9563-daf1448ca963
                  status: 1
                  impact: 10
                  description: Criação rápida
                  name: Nome do projeto
                  contact_id: null
                  customer_id: null
                  code: ZXC2HQA-22
                  id: 019dd427-bb01-70ec-8f2e-c36442ac755f
                  created_by: 019c75de-509e-711a-8933-175cb2514cc5
                  updated_at: '2026-04-28T12:54:26.000000Z'
                  created_at: '2026-04-28T12:54:26.000000Z'
                  form_answers:
                    - id: 36
                      label: Link
                      answer: null
                      model: Project
                      answered_by: null
                      updated_at: '2026-04-01T13:03:13.000000Z'
                    - id: 37
                      label: Link
                      answer: null
                      model: Project
                      answered_by: null
                      updated_at: '2026-04-06T17:14:50.000000Z'
                  frame:
                    id: 019c75de-532c-7047-9563-daf1448ca963
                    old_id: null
                    name: Olie Company
                    type: '2'
                    status: 1
                    subdomain: olieframe
                    frame_billing_data_id: null
                    model_forms:
                      - id: 3
                        class: App\Models\FrameRelationship
                      - id: 14
                        class: App\Models\Contact
                      - id: 12
                        class: App\Models\Project
                      - id: 13
                        class: App\Models\Customer
                    logo_img: null
                    cockpit_access: 1
        '401':
          description: Não autorizado
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
            Cache-Control:
              schema:
                type: string
              example: no-cache, private
            Date:
              schema:
                type: string
              example: Mon, 30 Mar 2026 17:03:31 GMT
            Referrer-Policy:
              schema:
                type: string
              example: strict-origin-when-cross-origin
            Server:
              schema:
                type: string
              example: nginx
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
              example:
                response: false
                message: unauthorized
                error: Unauthenticated.
        '422':
          description: Campo inválido
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
            Cache-Control:
              schema:
                type: string
              example: no-cache, private
            Date:
              schema:
                type: string
              example: Mon, 30 Mar 2026 17:04:04 GMT
            Referrer-Policy:
              schema:
                type: string
              example: strict-origin-when-cross-origin
            Server:
              schema:
                type: string
              example: nginx
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 160
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 159
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
                  validation:
                    type: object
                    properties:
                      name:
                        type: array
                        items:
                          type: string
              example:
                response: false
                message: validation_errors
                error: O campo nome é obrigatório.
                validation:
                  name:
                    - O campo nome é obrigatório.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````